#!/bin/csh
#
#  Date    : 12 Jan 1994
#  Version : 1        MK (After STAR by AB)
#
#  This is the main script for the nfw process
#
# general definitions
#
set _genesis_root = /genesis
set _genesis_edir = e$GENESIS_VER

if ($?GENESIS_DIR) then
   set _genesis_root = $GENESIS_DIR
endif

if ($?GENESIS_EDIR) then
   set _genesis_edir = $GENESIS_EDIR
endif

if ($_genesis_edir =~ /* || $_genesis_edir =~ ?:*) then
   set path = ($_genesis_edir/all $path)
   set _dbg_loop_path = $_genesis_edir/all/dbg_loop.csh
else
   set path = ($_genesis_root/$_genesis_edir/all $path)
   set _dbg_loop_path = $_genesis_root/$_genesis_edir/all/dbg_loop.csh
endif

set DIR_PREFIX = '@%#%@'
set STATUS = 0
set PROG=$1
if(! -e $PROG)then
   set PROG_STATUS = 1
   goto end
endif

# define aliases

alias VON 'echo "${DIR_PREFIX}VON";'
alias VOF 'echo "${DIR_PREFIX}VOF";'

alias SU_ON  'echo "${DIR_PREFIX}SU_ON";'
alias SU_OFF 'echo "${DIR_PREFIX}SU_OFF";'

alias DBG_PAUSE 'echo "${DIR_PREFIX}DBG_PAUSE"; \\
           set DBGSTATUS=$< ; set READANS="$<" ; set PAUSANS="$<" ;'
alias DBG_SOURCE 'echo "${DIR_PREFIX}DBG_SOURCE $cwd \!:*"; \\
           set STATUS=$< ; set READANS="$<" ; source $READANS'
alias PAUSE 'echo "${DIR_PREFIX}PAUSE \!:*"; \\
           set STATUS=$< ; set READANS="$<" ; set PAUSANS="$<" '
alias MOUSE 'echo "${DIR_PREFIX}MOUSE \!:*"; \\
           set STATUS=$< ; set READANS="$<" ; set MOUSEANS="$<"'
alias COM 'echo "${DIR_PREFIX}COM \!:*"; \\
           set STATUS=$< ; set READANS="$<" ; set COMANS=($READANS); \\
           echo "Debugging command:  STATUS = $STATUS";'
alias AUX 'echo "${DIR_PREFIX}AUX \!:*"; \\
           set STATUS=$< ; set READANS=$< ; set COMANS=($READANS)'
alias DBG 'echo "${DIR_PREFIX}DBG \!:*"; \\
           set DBGSTATUS=$< ; set DBGANS="$<" ; \\
           source $_dbg_loop_path ; \\
           if ($DBGSKIP != 0) goto $DBGSKIP '

#executing hook script
if ( -e $_genesis_root/sys/hooks/script_start.csh ) then
  source $_genesis_root/sys/hooks/script_start.csh
endif

#  Executing user program : $PROG  "
set PROG_STATUS = 0
set argv = ($2)
source $PROG
set PROG_STATUS = $status
end:
exit($PROG_STATUS)
