#!/bin/csh
set OS_NAME=`uname | tr "[A-Z]" "[a-z]"`

#Defining the CAM application type (Genesis,InCAM)
if ($?INCAM_PRODUCT) then
	setenv SYNC_DIR "$INCAM_PRODUCT/bin/inlink"
		
	setenv JRE_BIN "$INCAM_PRODUCT/../thirdparty/${OS_NAME}/java1.5/bin"
	setenv ORACLE_PATH "$INCAM_PRODUCT/../thirdparty/${OS_NAME}/oracle_client"
else
	setenv SYNC_DIR $GENESIS_EDIR/all/inlink
	if (! -d $SYNC_DIR) then
		setenv SYNC_DIR $GENESIS_DIR/$GENESIS_EDIR/all/inlink
	endif
	
	setenv JRE_BIN $GENESIS_DIR/thirdparty/${OS_NAME}/java1.5/bin
	setenv ORACLE_PATH $GENESIS_DIR/thirdparty/${OS_NAME}/oracle_client
endif

if ($OS_NAME =~ *win* ) then
	setenv PATH "${JRE_BIN};${ORACLE_PATH};${PATH}"
else
	setenv PATH "${JRE_BIN}:${ORACLE_PATH}:${PATH}"
endif

if ($?LD_LIBRARY_PATH) then
	setenv LD_LIBRARY_PATH "${ORACLE_PATH}":${LD_LIBRARY_PATH}
endif

if ($?GENESIS_DIR) then
	if (-e $GENESIS_DIR/sys/tnsnames.ora) then
		setenv TNS_ADMIN $GENESIS_DIR/sys
	endif
endif

setenv NLS_LANG AMERICAN_AMERICA.UTF8

if ($?SHLIB_PATH) then
	setenv SHLIB_PATH "${ORACLE_PATH}":$SHLIB_PATH
else
	setenv SHLIB_PATH "${ORACLE_PATH}"
endif
if ($?LD_LIBRARY_PATH) then
    setenv LD_LIBRARY_PATH "${ORACLE_PATH}":"${LD_LIBRARY_PATH}"
else    
	setenv LD_LIBRARY_PATH "${ORACLE_PATH}"
endif

"$JRE_BIN/java" -cp "$SYNC_DIR/InLink.jar"  com.frontlinePcb.sync.InLink mode=config

