


 xpaint(l)							   xpaint(l)
				Release 2.5.2



 NAME
      xpaint - Simple Paint program

 SYNOPSIS
      xpaint [ -size WIDTHxHEIGHT -8 | -12 | -24 | -visual VISUAL   ] [ -
      rcFile file ] [ -popped ] [ -nowarn ] [ -help ] [ filenames... ]

 DESCRIPTION
      XPaint is a color image editing tool which features most standard
      paint program options, as well as advanced features such as image
      processing algorithms.  It allows for the editing of multiple images
      simultaneously and supports various formats, including PPM, XBM, TIFF,
      JPEG, etc.

      The functionality of XPaint is divided into a toolbox area for
      selecting the current paint operation and paint windows for
      modifying/creating images.  Each paint window has access to its own
      color palette and set of patterns, although the paint operation in use
      is globally selected for all windows.

      XPaint runs on a variety of displays.  It should be noted that saving
      images will adapt them to the current display type (i.e. a color image
      loaded on a greyscale screen will be saved as a grey image).

      There is also an extensive on-line help system available.

 OPTIONS
      In addition to being able to specify image files to open, the
      following options are available on the command line:

	   -size wxh Default width and height for new images.

	   -8	     Use an 8 bit PseudoColor visual.

	   -12	     Use a 12 bit PseudoColor visual.

	   -24	     Use a 24 bit TrueColor visual.

	   -visual VISUAL
		     Use VISUAL instead of the default visual. See also the
		     section VISUAL FORMAT below for the list of possible
		     visual types.

	   -rcFile file
		     Load file instead of the default RC file specified at
		     compile time. See also the section RC FILE FORMAT
		     below.

	   -popped   Popup an empty canvas on startup.





				    - 1 -	 Formatted:  January 2, 1998






 xpaint(l)							   xpaint(l)
				Release 2.5.2



	   -nowarn   Do not emit warnings about possible data loss due to
		     different depth of display and image.

	   -help     Give a summary of the available options.

 TOOLBOX
      The toolbox window is displayed when XPaint is started.  The toolbox
      is used to select an operation which can then be applied to any image
      area presented (painting window, fat bits, pattern editor, etc.).  The
      window has a selection of painting operations (as icons) and several
      pull down menus.

 PAINTING WINDOW
      The painting window holds a canvas area for painting the displayed
      image, menus for performing operations on this image, and primary and
      secondary color/pattern palettes along with buttons for adding to
      these.


 VISUAL FORMAT
      The display visual to use may be specified using the -visual option.
      Choices for the argument are: TrueColor, PseudoColor, DirectColor,
      StaticColor, StaticGray, GrayScale, or the decimal visual number (from
      xdpyinfo).  Examples:

	   -visual TrueColor

	   -visual GrayScale

	   -visual PseudoColor

	   -visual 47

      Alternatively, -8, -12, and -24 are also acceptable for specifying
      pseudo8, pseudo12, and truecolor24 respectively.


 RC FILE FORMAT
      The RC file can be used to customize the color/pattern palettes.	If a
      system-wide RC file is specified with the -rcFile option, that file is
      read first; otherwise, the defaults specified at compile time are
      loaded.  Then, the file .XPaintrc is searched for first in the user's
      home directory and then in the current directory. Any settings
      specified here are appended to the one in the system-wide RC file.

      Any time a new canvas is created, the .XPaintrc file is read again if
      it has changed.

      The RC file can contain any of the following entries, in any order:





				    - 2 -	 Formatted:  January 2, 1998






 xpaint(l)							   xpaint(l)
				Release 2.5.2



	   #	     or

	   !	     at the start of a line initiates a comment.  The rest
		     of the line is ignored.

	   solid color
		     where color is a color in standard X11 format (eg.
		     GoldenRod1, #a2b5cd - see also X(1)) adds a solid color
		     to the palette.

	   pattern BeginData bitmap EndData
		     where bitmap is a bitmap specification in XBM or XPM
		     format, adds a fill pattern to the palette.

		     Note that there must be a newline after BeginData, and
		     that EndData must appear on a line by itself.


	   pattern filename
		     where filename is a file containing a bitmap in XBM or
		     XPM format, also adds a pattern to the palette.

      The squares in the palette have a default size of 24 by 24 pixels.
      This can be changed by setting the XPaint.patternsize resource to a
      number between 4 and 64.



 AUTHOR
      David Koblas, koblas@netcom.com. I am interested in how this program
      is used, if you find any bugs, I'll fix them.  If you notice any rough
      spots, or think of some way in which it could be better, feel free to
      drop me a message.

      Torsten Martinsen, torsten@danbbs.dk, is to blame for any
      (mis)features added in XPaint release 2.2 and following releases.

      Many people, too numerous to mention, have contributed to the
      development of XPaint. See the file Doc/CHANGES in the source
      distribution for details.














				    - 3 -	 Formatted:  January 2, 1998



