set done_input        = 0
set done_matrix       = 0
set done_register     = 0
set done_profile      = 0
set done_cleanup      = 0
set done_contourize   = 0
set done_netopt       = 0
set done_dtm          = 0
set num_design        = 0

if (-e $status_file) then
   source $status_file
endif

COM info,out_file=$tmp/matrix_info,args= -t matrix -e $JOB/matrix
source $tmp/matrix_info

#
# Check if any layers were input
#
set layers_info = $gNUM_LAYERS[1]

if ($layers_info > 0) then
   set done_input = 1
else
   set done_input = 0
endif

if ($done_input) then
   #
   # check if matrix was set
   #
   set i = 1;
   set num_board  = 0
   set num_signal = 0
   set num_mixed  = 0
   set num_pg     = 0
   set num_drill  = 0
   set num_design = 0
   
   while ($i <= $gNUM_LAYERS) 
      if ($gROWtype[$i] == 'layer' && $gROWcontext[$i] == 'board') then
          @ num_board++
          switch ($gROWlayer_type[$i])
   	  case 'signal': 
   	     @ num_signal++
   	     @ num_design++
   	     breaksw
   	 case 'mixed':
   	     @ num_mixed++
   	     @ num_design++
   	     breaksw
   	 case 'power_ground':
   	     @ num_pg++
   	     @ num_design++
   	     breaksw
   	 case 'drill':
   	     @ num_drill++
   	     breaksw
         endsw
      endif
      @ i++
   end
   
   #
   # The criteria when the matrix is defined correctly is one of:
   # 1. Exactly one electric layer
   # 2. More than one electric layer and at least one drill layer
   #
   
   
   if ($num_design > 1) then
      if ($num_drill > 0) then
         set done_matrix = 1
      else
         set done_matrix = 0
      endif
   else if ($num_design == 1) then
      set done_matrix = 1
      if ($num_drill == 0) then
         set done_dtm = 2
      endif
   else
      set done_matrix = 0
   endif
   

   # Check if profile exists
   #
   COM info,out_file=$GENESIS_TMP/info.out.$$, \
      args= -t step -e $JOB/$step_name -d PROF
   set _tmp = $GENESIS_TMP/info.out.$$
   set lines = (`wc -l $_tmp`)
   set lines = $lines[1]
   rm $tmp/info.out.$$
   if ($lines > 3) then
      set done_profile = 1
   else
      set done_profile = 0
   endif
   unset lines
   
   #
   # Check if cleanup checklist exists
   # 
   COM info,out_file=$GENESIS_TMP/info.out.$$, \
      args= -t check -e $JOB/$step_name/$standard_checklist -d exists
   source $GENESIS_TMP/info.out.$$
   rm $tmp/info.out.$$
   if ($gEXISTS == "yes") then
      set done_cleanup = 1
   else
      set done_cleanup = 0
   endif
endif

unset num_board num_signal num_mixed num_pg num_drill i layers_info

rm -f $status_file
echo "set done_input         = " $done_input        >> $status_file
echo "set done_matrix        = " $done_matrix       >> $status_file
echo "set done_register      = " $done_register     >> $status_file
echo "set done_profile       = " $done_profile      >> $status_file
echo "set done_dtm           = " $done_dtm          >> $status_file
echo "set done_cleanup       = " $done_cleanup      >> $status_file
echo "set done_contourize    = " $done_contourize   >> $status_file
echo "set done_netopt        = " $done_netopt       >> $status_file
echo "set num_design         = " $num_design        >> $status_file
