#!/usr/bin/csh

#
# Copy the checklist from the library and start to run automatically.
# When copying check if the Checklist already exists and popup a question to overwrite
# Modifications :
#----------------
# 21-10-2005 : Philippe Vanthuyne -> added a pause to either change the selected actions or check the parameters.
#                                 -> Changed the script to run on the selected items and not on all actions
#
#==================================================================================================================

source $GENESIS_DIR/sys/scripts/atgen/init.csh
cd $form_scripts

COM open_job,job=$JOB

source check_status.csh

if (! $done_matrix) then
   PAUSE Please correct matrix before cleanup
   exit
endif

if (! $done_input) then
   PAUSE Please do input before cleanup
   exit
endif

if (! $done_profile) then
   PAUSE Please define profile before cleanup
   exit
endif

if ($done_cleanup || $done_netopt) then
   source delete_etsets.csh
   source delete_checklist.csh
   echo "set done_cleanup = 0" >> $status_file
   echo "set done_netopt  = 0" >> $status_file
   source set_colors.csh
endif

COM open_entity,job=$JOB,type=step,name=$step_name,iconic=no
set group = $COMANS
AUX set_group,group=$group

VOF   # Switching off error control

COM chklist_from_lib,chklist=$standard_checklist

set error_status = "$STATUS"

VON

if ($error_status == "141006") then     # 141006 : error code says that the checklist doesn't exist
   echo "WIN 500 400" 				        > $GUI_DATA
   echo "BW 1" 					       >> $GUI_DATA
   echo "FONT tbr14" 				       >> $GUI_DATA
   echo "BG 777777" 				       >> $GUI_DATA
   echo "FG 000000" 				       >> $GUI_DATA
   echo "LABEL Checklist doesn't exist in the Library" >> $GUI_DATA
   echo "CLABEL Script exit"                           >> $GUI_DATA
   gui $GUI_DATA
   rm $GUI_DATA
   exit
endif


COM chklist_open,chklist=$standard_checklist

COM chklist_show,chklist=$standard_checklist


#
# Before checklist is run a gui is create to allow the user to check the parameters or unselect actions
# request from hubert
#
PAUSE Verify the Checklist actions and their parameters


#
# Start running the checlist on the selected items
#
COM chklist_run,chklist=$standard_checklist,nact=s,area=profile
PAUSE Check the Checklist results 

COM chklist_close,chklist=$standard_checklist,mode=hide

#
# Closing the editor
#
source check_status.csh
if ($done_cleanup) then
   COM edit_form,job=$JOB,form=atgen,elem=cleanup,color=$done_color
endif 

COM editor_page_close
COM save_job,job=$JOB
### EOF ###
