#!/usr/bin/csh

#
# Copy the checklist from the library and start to run automatically.
# When copying check if the Checklist already exists and popup a question to overwrite

source $GENESIS_DIR/sys/scripts/atgen/init.csh
cd $form_scripts

COM open_job,job=$JOB

source check_status.csh
if (! $done_matrix) then
   PAUSE Please correct matrix before contourization
   exit
endif

if (! $done_input) then
   PAUSE Please do input before contourization
   exit
endif

if (! $done_profile) then
   PAUSE Please define profile before contourization
   exit
endif
if ($done_contourize || $done_netopt) then
   source delete_etsets.csh
   echo "set done_contourize = 0" >> $status_file
   echo "set done_netopt     = 0" >> $status_file
   source set_colors.csh
endif


COM open_entity,job=$JOB,type=step,name=$step_name,iconic=no
set group = $COMANS
AUX set_group,group=$group

#
# Drawn to surface
#
# Looking for the copper layers

echo "WIN 500 400" 				        > $GUI_DATA
echo "BW 1" 						>> $GUI_DATA
echo "FONT tbr14" 					>> $GUI_DATA
echo "BG 777777" 					>> $GUI_DATA
echo "FG 000000" 					>> $GUI_DATA
echo "LABEL Do you want to contourize"			>> $GUI_DATA
echo "RADIO contourize Choose H 1 990000" 		>> $GUI_DATA
echo "Yes" 						>> $GUI_DATA
echo "No" 						>> $GUI_DATA
echo "END" 						>> $GUI_DATA 

gui $GUI_DATA > $GUI_RESP
while (-z $GUI_RESP)
   sleep 1
end
source $GUI_RESP;rm $GUI_RESP $GUI_DATA

if ($contourize == "1") then

    #
    # Get matrix info
    #
    COM info,out_file=$tmp/matrix_info,args= -t matrix -e $JOB/matrix
    source $tmp/matrix_info
    
    if ($debug_mode == "yes") PAUSE Drawn to surface

     set copper_counter = 1
     #echo "$copper_counter"
     #echo "$#gROWname"

     while ($copper_counter <= $#gROWname)

       #echo in while
       #echo "layer type : $gROWlayer_type[$copper_counter]"
    
       if ($gROWcontext[$copper_counter] == "board" && ($gROWlayer_type[$copper_counter] == "signal" || $gROWlayer_type[$copper_counter] == "power_ground" || $gROWlayer_type[$copper_counter] == "mixed") ) then
    
	  #PAUSE show layer
	  COM clear_layers
    
          # COM display_layer,name=$gROWname[$copper_counter],display=yes,number=$gROWrow[$copper_counter]
          COM display_layer,name=$gROWname[$copper_counter],display=yes,number=1
	
	  COM work_layer,name=$gROWname[$copper_counter]
	
	  COM sel_drawn,type=mixed,therm_analyze=no
	
	  COM get_select_count
	  set selected_features = $COMANS
	
	  if ($selected_features > 0) then
	 
	     PAUSE Check the selection in $gROWname[$copper_counter] - Modify if needed
	 
	     #
	     # window to contourize or no
	     #
	    
	     echo "WIN 500 400" 			   >  $GUI_DATA
	     echo "BW 1" 				   >> $GUI_DATA
	     echo "FONT tbr14" 				   >> $GUI_DATA
	     echo "BG 777777" 				   >> $GUI_DATA
	     echo "FG 000000" 				   >> $GUI_DATA
	     echo "LABEL Layer $gROWname[$copper_counter]" >> $GUI_DATA
	     echo "LABEL Do you want to contourize?"	   >> $GUI_DATA
	     echo "RADIO countourize Choose H 1 990000"    >> $GUI_DATA
	     echo "Yes" 				   >> $GUI_DATA
	     echo "No" 					   >> $GUI_DATA
	     echo "END" 				   >> $GUI_DATA
	
	     gui $GUI_DATA > $GUI_RESP
             while (-z $GUI_RESP)
	        sleep 1
             end
	     source $GUI_RESP; rm $GUI_RESP $GUI_DATA
	    
	     if ($countourize == 1 ) then
		
		COM get_units
		set def_units = $COMANS

		COM units,type=inch

		COM sel_contourize,accuracy=0.25,break_to_islands=yes,clean_hole_size=76.2,clean_hole_mode=x_or_y
		# reset units to previous ones
		COM units,type=$def_units
	     endif

	  endif
	
      endif
      @ copper_counter++
  end
endif

#
# Closing the editor
#

echo "set done_contourize = 1" >> $status_file
COM edit_form,job=$JOB,form=atgen,elem=contourize,color=$done_color
COM editor_page_close
COM save_job,job=$JOB
### EOF ###
