#!/usr/bin/csh
#
# Drill Tool Manager
#

source $GENESIS_DIR/sys/scripts/atgen/init.csh
cd $form_scripts

COM open_job,job=$JOB
source check_status.csh
#
# Looking for the first drill layer
#
COM info,out_file=$tmp/matrix_info,args= -t matrix -e $JOB/matrix
source $tmp/matrix_info

set counter = 1
set drill_layers = ()

while ($counter <= $#gROWname)
    if ($gROWlayer_type[$counter] == "drill" ) then
	set drill_layers = ($drill_layers $gROWname[$counter])
    endif
    @ counter++
end

if ($#drill_layers == 0) then
   PAUSE "No drill layers in matrix"
   echo "set done_dtm = 2" >> $status_file
   COM edit_form,job=$JOB,form=atgen,elem=dtm,color=$disabled_color
   exit
endif

if (! $done_matrix) then
   PAUSE Please correct matrix before Drill Tool Manager
   exit
endif

if (! $done_input) then
   PAUSE Please do input before Drill Tool Manager
   exit
endif

if ($done_dtm || $done_netopt) then
   source delete_etsets.csh
   echo "set done_dtm    = 0" >> $status_file
   echo "set done_netopt = 0" >> $status_file
   source set_colors.csh
endif

COM open_entity,job=$JOB,type=step,name=$step_name,iconic=no
set group = $COMANS
AUX set_group,group=$group

set drill_counter = 1

while ($drill_counter <= $#drill_layers)
 
   echo " $drill_counter : $drill_layers[$drill_counter]"
  
   COM tools_show,layer=$drill_layers[$drill_counter]
  
   PAUSE CHECK the tooltype for drill layer $drill_layers[$drill_counter] and press Apply

   # TBD Verify that Apply was pressed
   # And set done_dtm
   @ drill_counter++
end

if (! -e $GENESIS_DIR/sys/hooks/line_hooks/tools_set.post) then
   PAUSE tools_set.post is missing!!
endif

source $status_file
if ($done_dtm) then
   COM edit_form,job=$JOB,form=atgen,elem=dtm,color=$done_color
endif
#
# Close DTM
#

COM tools_close,force=no
COM editor_page_close
COM save_job,job=$JOB

### EOF ###
