#!/usr/bin/csh
#
# Identify
#
echo source $GENESIS_DIR/sys/scripts/atgen/init.csh
source $GENESIS_DIR/sys/scripts/atgen/init.csh
cd $form_scripts
set noglob

#
# Check to see what exclude string is defined in the configuration.
# If the system config doesn't exist it will take the default one
#
#
if (-e $GENESIS_DIR/sys/config) then
    #
    # Read the file and look for get_inp_exclude
    #
    set exclude = `cat $GENESIS_DIR/sys/config | grep get_inp_exclude | cut -d"=" -f2`
else
    set exclude = "*tar;*zip;*tgz;*pdf;*gz;*exe"
endif

set message = "Identify, Check the parameters and Translate the files."

COM read_form,job=$JOB,form=atgen,elem=input_dir
set dirname = $COMANS

COM open_job,job=$JOB
source check_status.csh
if ($done_input || $done_matrix || $done_dtm || $done_cleanup || $done_contourize || $done_netopt) then
   PAUSE All job data of $JOB will be deleted.
   VOF
   COM delete_entity,job=$JOB,type=step,name=$step_name
   while (1)
      COM matrix_delete_row,job=$JOB,matrix=matrix,row=1
      if ($STATUS != 0) then
         break
      endif
   end
   VON
   source delete_etsets.csh
   echo "set done_input      = 0" >> $status_file
   echo "set done_matrix     = 0" >> $status_file
   echo "set done_register   = 0" >> $status_file
   echo "set done_profile    = 0" >> $status_file
   echo "set done_dtm        = 0" >> $status_file
   echo "set done_cleanup    = 0" >> $status_file
   echo "set done_contourize = 0" >> $status_file
   echo "set done_netopt     = 0" >> $status_file
   source set_colors.csh
endif


while (1)
   COM input_show_page
   COM input_set_params,\
      path=$dirname,\
      job=$JOB,\
      step=$step_name,\
      exclude=$exclude,\
      wheels=yes,\
      gbr_template=*,\
#     br_headlines=yes,\
      name=*,\
      tool_template=*,\
      tool_headlines=no,\
      gbr_ext=no,\
      gbr_units=auto,\
      drl_ext=no,\
      drl_units=auto,\
      force=no
       
   PAUSE $message

   source check_status.csh
   if ($done_input) then
      COM edit_form,job=$JOB,form=atgen,elem=input,color=$done_color
      break
   else 
      set message = "Translation incomplete, try again."
   endif
end

COM input_hide_page
COM save_job,job=$JOB
### EOF ###
