#!/usr/bin/csh
source $GENESIS_DIR/sys/scripts/atgen/init.csh
cd $form_scripts

COM open_job,job=$JOB

source check_status.csh
if (! $done_matrix) then
   PAUSE Please correct matrix before defining profile
   exit
endif

if (! $done_input) then
   PAUSE Please do input before defining profile
   exit
endif

if (! $done_register) then
   PAUSE Please Register layers before defining profile
   exit
endif

if ($done_profile || $done_dtm || $done_cleanup || $done_contourize || $done_netopt) then
   source delete_checklist.csh
   source delete_etsets.csh
   echo "set done_profile    = 0" >> $status_file
   echo "set done_dtm        = 0" >> $status_file
   echo "set done_cleanup    = 0" >> $status_file
   echo "set done_contourize = 0" >> $status_file
   echo "set done_netopt     = 0" >> $status_file
   source set_colors.csh
endif

COM open_entity,job=$JOB,type=step,name=$step_name,iconic=no
set group = $COMANS
AUX set_group,group=$group

#
# Creating the profile
#


echo "WIN 500 400" 				        > $GUI_DATA
echo "BW 1" 						>> $GUI_DATA
echo "FONT tbr14" 					>> $GUI_DATA
echo "BG 777777" 					>> $GUI_DATA
echo "FG 000000" 					>> $GUI_DATA
echo "LABEL Create the profile"				>> $GUI_DATA
echo "RADIO auto_profile  choose H 1 990000" 		>> $GUI_DATA
echo "Automatic" 					>> $GUI_DATA
echo "Manual" 						>> $GUI_DATA
echo "END" 						>> $GUI_DATA 

gui $GUI_DATA > $GUI_RESP
while (-z $GUI_RESP)
   sleep 1
end
source $GUI_RESP;rm $GUI_RESP $GUI_DATA
    
#
# Refresh matrix info
#
COM info,out_file=$tmp/matrix_info,args= -t matrix -e $JOB/matrix
source $tmp/matrix_info
COM multi_layer_disp,mode=many,show_board=no
set counter = 1
while ($counter <= $#gROWname)
    if ($gROWcontext[$counter] == "board" ) then
	COM display_layer,name=$gROWname[$counter],display=yes,number=$gROWrow[$counter] 
    endif
    @ counter++
end

while (1)
   if ($auto_profile == "1") then
      COM profile_limits
      PAUSE Check if the profile is correct
   else
      PAUSE Create the profile manually
   endif

   source check_status.csh
   if ($done_profile) then
      COM edit_form,job=$JOB,form=atgen,elem=profile,color=$done_color
      break
   endif
end

#
# Clipping everything outside the profile
#
COM affected_layer,mode=all,affected=no
COM affected_layer,mode=board,affected=yes

COM clip_area_end,layers_mode=affected_layers,layer=,area=profile,area_type=rectangle,inout=outside,contour_cut=no,margin=0
COM affected_layer,name=outline,mode=all,affected=no
COM multi_layer_disp,mode=default,show_board=no
COM editor_page_close
COM save_job,job=$JOB
### EOF ###
