#!/usr/bin/csh
source $GENESIS_DIR/sys/scripts/atgen/init.csh
cd $form_scripts
#
# Registration of the layers
#

#
# Looking for board layers
# Showing all the layers to see if registration is needed
#

COM open_job,job=$JOB

source check_status.csh

if (! $done_matrix) then
   PAUSE Please correct matrix before registering layers
   exit
endif

if (! $done_input) then
   PAUSE Please do input before registering layers
   exit
endif

if ($done_register || $done_dtm || $done_cleanup || $done_contourize || $done_netopt) then
   source delete_checklist.csh
   source delete_etsets.csh
   echo "set done_register   = 0" >> $status_file
   echo "set done_dtm        = 0" >> $status_file
   echo "set done_cleanup    = 0" >> $status_file
   echo "set done_contourize = 0" >> $status_file
   echo "set done_netopt     = 0" >> $status_file
   source set_colors.csh
endif

COM open_entity,job=$JOB,type=step,name=$step_name,iconic=no
set group = $COMANS
AUX set_group,group=$group
COM multi_layer_disp,mode=many,show_board=no


#
# Get matrix info
#
COM info,out_file=$tmp/matrix_info,args= -t matrix -e $JOB/matrix
source $tmp/matrix_info

set counter = 1
while ($counter <= $#gROWname)

   if ($gROWcontext[$counter] == "board" ) then
      COM display_layer,name=$gROWname[$counter],display=yes,number=$gROWrow[$counter] 
   endif
   @ counter++
end

#
# Window to see if registration is needed
# 

echo "WIN 500 400" 				 > $GUI_DATA
echo "BW 1" 					>> $GUI_DATA
echo "FONT tbr14" 				>> $GUI_DATA
echo "BG 777777" 				>> $GUI_DATA
echo "FG 000000" 				>> $GUI_DATA
echo "LABEL Do you need to register?"		>> $GUI_DATA
echo "RADIO register  choose H 1 990000" 	>> $GUI_DATA
echo "Yes" 					>> $GUI_DATA
echo "No" 					>> $GUI_DATA
echo "END" 					>> $GUI_DATA
	
gui $GUI_DATA > $GUI_RESP
while (-z $GUI_RESP)
   sleep 1
end
source $GUI_RESP; rm $GUI_RESP $GUI_DATA


if ($register == 1) then
	echo register
    
    echo "WIN 500 400" 				        	> $GUI_DATA
    echo "BW 1" 						>> $GUI_DATA
    echo "FONT tbr14" 						>> $GUI_DATA
    echo "BG 777777" 						>> $GUI_DATA
    echo "FG 000000" 						>> $GUI_DATA
    echo "LABEL Select reference registration layer"    	>> $GUI_DATA
    echo "LABEL from list ..."    				>> $GUI_DATA
    echo "LIST ref_layer 13 S 1" 				>> $GUI_DATA
    
        set counter = 1
        while ($counter <= $#gROWname)
	  
           if ($gROWcontext[$counter] == "board"  && $gROWtype[$counter] == "layer") then
             echo $gROWname[$counter]    				>> $GUI_DATA

           endif
         @ counter++
	end
	
    echo "END"   						>> $GUI_DATA
    echo "CLABEL Continue" 					>> $GUI_DATA
    
    gui $GUI_DATA > $GUI_RESP
    while (-z $GUI_RESP)
      sleep 1
    end
    source $GUI_RESP;rm $GUI_DATA $GUI_RESP
    
    COM zoom_home
    
    COM affected_layer,mode=all,affected=no
    COM affected_layer,mode=board,affected=yes

    # get current editor units
    COM get_units
    set def_units = $COMANS

    COM units,type=inch
    
    COM register_layers,reference_layer=$ref_layer[1],tolerance=1.5,zero_lines=no,reg_mode=affected_layers,register_layer=

    # reset units to previous ones
    COM units,type=$def_units
    
    COM affected_layer,mode=all,affected=no
   
    PAUSE Please Check the registration
#    
else
  echo "no registration"
endif
echo "set done_register = 1" >> $status_file
COM edit_form,job=$JOB,form=atgen,elem=register,color=$done_color
#
# Clearing the display
# switching back to 4 layer display

COM clear_layers
COM multi_layer_disp,mode=default,show_board=no
COM editor_page_close
COM save_job,job=$JOB
### EOF ###
