#!/bin/csh -f
set OS_VER = `uname -sr`
set OS = $OS_VER[1]
set VER = $OS_VER[2]

set OSPATH = ''
switch ($OS)
 case "AIX" :
   set OSPATH = aix
   breaksw
 case "HP-UX" :
    if ( $VER =~ *.1?.* ) set OSPATH = hp10
    breaksw
 case "SunOS" :
    set OSPATH = solaris
    breaksw
 case "Linux" :
   set OSPATH = linux
endsw

if ($OSPATH == '') then
  echo 'Unsupported Operating System'
  echo 'uname -sr' returned `uname -sr`
  exit 1 
endif

set SCRIPT=$0

if ( "$SCRIPT" =~ /* ) then
   chdir $SCRIPT:h
else if ($SCRIPT:h != install.csh) then
   chdir $cwd/$SCRIPT:h
endif  

set TOOLS_PATH = $cwd/tools/$OSPATH

if ($OS == "Linux") then
   if ($?LD_LIBRARY_PATH) then
      setenv LD_LIBRARY_PATH $LD_LIBRARY_PATH":"$cwd/tools/linux/tcltk/bin
   else
      setenv LD_LIBRARY_PATH $cwd/tools/linux/tcltk/bin
   endif
   setenv TCL_LIBRARY $cwd/tools/linux/tcltk/bin/tcl8.0
   setenv TK_LIBRARY  $cwd/tools/linux/tcltk/bin/tk8.0
else
   setenv TCL_LIBRARY $cwd/tools/generic/tcltk/library
   setenv TK_LIBRARY  $TCL_LIBRARY
endif

$TOOLS_PATH/tcltk/bin/wish80.exe install/install.tcl $TOOLS_PATH &

