#!/bin/csh -f
set OS_VER = `uname -sr`
set OS = $OS_VER[1]
set VER = $OS_VER[2]

set OSPATH = ''
switch ($OS)
 case "AIX" :
   set OSPATH = aix
   breaksw
 case "HP-UX" :
    if ( $VER =~ *.1?.* ) set OSPATH = hp10
    breaksw
 case "SunOS" :
    if ( $VER =~ [56].* ) set OSPATH = solaris
    breaksw
 case "Linux" :
    set OSPATH = linux
 default 
endsw
if ($OSPATH == '') then
  echo 'Unsupported Operating System'
  echo 'uname -sr' returned `uname -sr`
  exit 1 
endif

set SCRIPT=$0

if ( "$SCRIPT" =~ /* ) then
   chdir $SCRIPT:h
else 
  if ($SCRIPT:h != reader.csh) then
     chdir $cwd/$SCRIPT:h
  endif
endif  
set TOOLS_PATH = $cwd/tools/$OSPATH
setenv TCL_LIBRARY $cwd/tools/generic/tcltk/library
setenv TK_LIBRARY  $TCL_LIBRARY
$TOOLS_PATH/tcltk/bin/wish80.exe install/reader.tcl $TOOLS_PATH &

