#include "imp.h"
#include <stdlib.h>
main()
{
   imp_in_struc   imp_in  = { 0 };
   imp_out_struc  imp_out = { 0 };
   char           temp[10000];
   int            status;
   
   puts("This program tests the impedance library\n");
   
   imp_in.model = IMP_L_NULL_MODEL;
   
   while (imp_in.model < 0 || imp_in.model > IMP_L_NUM_MODEL) {
      puts("1. Microstrip   4.Diff Microstrip");
      puts("2. Stripline    5. Diff Stripline");
      puts("3. Dual Stripline");
      printf("Please choose model:");
      scanf("%s", temp);
      imp_in.model = atoi(temp) - 1;
   }
   
   switch (imp_in.model) {
      case IMP_L_MSTRIP:
	 printf("H = ");
	 scanf("%s", temp); IMP_M_MSTRIP_H(&imp_in).thick  = atof(temp);
	 printf("H2 = ");
	 scanf("%s", temp); IMP_M_MSTRIP_H2(&imp_in).thick = atof(temp);
	 printf("w = ");
	 scanf("%s", temp); IMP_M_MSTRIP_W(&imp_in).thick  = atof(temp);
	 printf("Er = ");
	 scanf("%s", temp); IMP_M_MSTRIP_Er(&imp_in)       = atof(temp);
	 printf("t = ");
	 scanf("%s", temp); IMP_M_MSTRIP_T(&imp_in).thick  = atof(temp);
	 break;
      case IMP_L_SLINE:
	 printf("H1 = ");
	 scanf("%s", temp); IMP_M_SLINE_H1(&imp_in).thick = atof(temp);
	 printf("H2 = ");
	 scanf("%s", temp); IMP_M_SLINE_H2(&imp_in).thick = atof(temp);
	 printf("w = ");
	 scanf("%s", temp); IMP_M_SLINE_W(&imp_in).thick  = atof(temp);
	 printf("Er = ");
	 scanf("%s", temp); IMP_M_SLINE_Er(&imp_in)       = atof(temp);
	 printf("t = ");
	 scanf("%s", temp); IMP_M_SLINE_T(&imp_in).thick  = atof(temp);
	 break;
      case IMP_L_DUAL_SLINE:
	 printf("H1 = ");
	 scanf("%s", temp); IMP_M_DUAL_H1(&imp_in).thick  = atof(temp);
	 printf("H2 = ");
	 scanf("%s", temp); IMP_M_DUAL_H2(&imp_in).thick  = atof(temp);
	 printf("H3 = ");
	 scanf("%s", temp); IMP_M_DUAL_H3(&imp_in).thick  = atof(temp);
	 printf("w = ");
	 scanf("%s", temp); IMP_M_DUAL_W(&imp_in).thick   = atof(temp);
	 printf("Er = ");
	 scanf("%s", temp); IMP_M_DUAL_Er(&imp_in)        = atof(temp);
	 printf("t = ");
	 scanf("%s", temp); IMP_M_DUAL_T(&imp_in).thick   = atof(temp);
	 break;
      case IMP_L_DIFF_MSTRIP:
	 puts("Currently unsupported");
	 exit(1);
      case IMP_L_DIFF_SLINE:
	 puts("Currently unsupported");
	 exit(1);
      default:
	 puts("Program error");
	 exit(1);
   }
   printf("etch factor = ");
   scanf("%s", temp); IMP_M_ETCH_FACTOR(&imp_in) = atof(temp);
   
   status = imp_lib_calc(&imp_in, &imp_out);
   IMP_STATUS_CHECK;
   
   printf("Z0 = %lg +%lg -%lg\n", 
	  imp_out.ohm.ohm, 
	  imp_out.ohm.pos_tol, 
	  imp_out.ohm.neg_tol);

   return (IMP_L_OK);
}
