#!/usr/local/bin/wish
# If you use Windows NT, and you modify the above line
# You must also modify script_start.csh

fconfigure stdout -translation binary

set _DIR_PREFIX "@%#%@"
set STATUS ""
set READANS ""
set COMANS ""
set PAUSANS ""
set MOUSEANS ""

proc VON {} {
  global _DIR_PREFIX
  puts stdout "${_DIR_PREFIX}VON"
}

proc VOF {} {
  global _DIR_PREFIX
  puts "${_DIR_PREFIX}VOF"
  puts stdout "${_DIR_PREFIX}VOF"
}

proc SU_ON {} {
  global _DIR_PREFIX
  puts stdout "${_DIR_PREFIX}SU_ON"
}

proc SU_OFF {} {
  global _DIR_PREFIX
  puts stdout "${_DIR_PREFIX}SU_OFF"
}

proc PAUSE {command} {
  global _DIR_PREFIX
  global STATUS
  global READANS
  global PAUSANS

  puts stdout "${_DIR_PREFIX}PAUSE $command"
  set STATUS [gets stdin]
  set READANS [gets stdin]
  set PAUSANS [gets stdin]
}

proc MOUSE {command} {
  global _DIR_PREFIX
  global STATUS
  global READANS
  global MOUSEANS

  puts stdout "${_DIR_PREFIX}MOUSE $command"
  set STATUS [gets stdin]
  set READANS [gets stdin]
  set MOUSEANS [gets stdin]
  puts "readans is $READANS"
  puts "mouseans is $MOUSEANS"
}

proc COM {command} {
  global _DIR_PREFIX
  global STATUS
  global READANS
  global COMANS

  puts stdout "${_DIR_PREFIX}COM $command"
  set STATUS [gets stdin]
  set READANS [gets stdin]
  set COMANS $READANS
}

proc AUX {command} {
  global _DIR_PREFIX
  global STATUS
  global READANS

  global COMANS

  puts stdout "${_DIR_PREFIX}AUX $command"
  set STATUS [gets stdin]
  set READANS [gets stdin]
  set COMANS $READANS
}

# #################################
# DO_INFO infocommand args
#      info command + args
#
# returns:
#      STATUS and gVARS etc...
#      visable to scope of calling
#      proc not global!!
# #################################
proc DO_INFO  args {

    global env 
    global _DIR_PREFIX

    set GEN_DIR $env(GENESIS_DIR)
    set IFILE [file join $GEN_DIR tmp ifile.[pid]]

    puts "${_DIR_PREFIX}COM info,out_file=$IFILE,write_mode=replace,args=$args"

    gets stdin STATUS
    gets stdin READANS

    #uplevel 1 "set STATUS $STATUS"

    ########
    # eval info out
    ########
    set f [open $IFILE r]
    set data [read $f]
    close $f
    file delete -force $IFILE

    # convert to tclsh style
    regsub -all = $data "" data
    regsub -all {'} $data "\"" data
    regsub -all {\(} $data "\{" data
    regsub -all {\)} $data "\}" data

    uplevel 1 $data

    return -code $STATUS
}

catch [wm withdraw .]
source [lindex $argv 0]
update
set MAP 0
catch [set MAP [winfo ismapped .]]
if {!$MAP} {
  exit 0
}

