#!/usr/bin/csh

# Here we set up some parameters
# ------------------------------
#
# Do you want to activate the debug mode yes/no
set debug_mode = 'yes'

set exit = 0

#
# where do you want to put your log files
#
set log_directory = "$GENESIS_DIR/tmp/"

#
# where to store temporary files (info command results) 
#
set tmp = $GENESIS_DIR/tmp

#
# Define the Input directory
#
set inputdirs = "$GENESIS_DIR/data"


#
# Define the standard checklist name
#
set standard_checklist = "atg_checklist"

#
# Define the step name you want to use
#
set step_name = "orig"


#
# define the tester that you want to use in the netlist optimisation
#

set adapter_name = "hh-test"

#
# Define colors of form buttons
#
set done_color     = 009900
set undone_color   = 999999
set disabled_color = 505050

#
# This script uses GUI, so we need to set some files up
# -----------------------------------------------------
#
set GUI = "$GENESIS_EDIR/all/gui"
set GUI_DATA = $GENESIS_DIR/tmp/gui_data.txt     # This is where we write GUI commands
set GUI_RESP = $GENESIS_DIR/tmp/gui_resp.txt     # This is where GUI writes its response

set _path = `$GENESIS_EDIR/misc/dbutil path jobs genesislib`
set form_scripts = $_path"/forms/atgen/def/cb"

if ($?JOB) then
   set _path = `$GENESIS_EDIR/misc/dbutil path jobs $JOB`
   set status_file = $_path"/user/status.csh"
endif

unset _path
### EOF ###
